Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreFrustum.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreMovableObject.h"`
`#include "OgreRenderable.h"`
`#include "OgreAxisAlignedBox.h"`
`#include "OgreVertexIndexData.h"`
`#include "OgreMovablePlane.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Enumerations
enum | ProjectionType { PT_ORTHOGRAPHIC, PT_PERSPECTIVE }
| Specifies perspective (realistic) or orthographic (architectural) projection. More...
enum | FrustumPlane { FRUSTUM_PLANE_NEAR = 0, FRUSTUM_PLANE_FAR = 1, FRUSTUM_PLANE_LEFT = 2, FRUSTUM_PLANE_RIGHT = 3, FRUSTUM_PLANE_TOP = 4, FRUSTUM_PLANE_BOTTOM = 5 }
| Worldspace clipping planes. More...

## Enumeration Type Documentation

enum Ogre::FrustumPlane

  | Worldspace clipping planes. Enumeration values:
  FRUSTUM_PLANE_NEAR |
  FRUSTUM_PLANE_FAR |
  FRUSTUM_PLANE_LEFT |
  FRUSTUM_PLANE_RIGHT |
  FRUSTUM_PLANE_TOP |
  FRUSTUM_PLANE_BOTTOM |
Definition at line 51 of file OgreFrustum.h.

enum Ogre::ProjectionType

  | Specifies perspective (realistic) or orthographic (architectural) projection. Enumeration values:
  PT_ORTHOGRAPHIC |
  PT_PERSPECTIVE |
Definition at line 43 of file OgreFrustum.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007